org.eclipse.emf.cdo.expressions

## Interface FunctionInvocation

- All Superinterfaces:
    CDOObject, CDOWithID, EObject, Expression, Invocation, Notifier
  All Known Implementing Classes:
    FunctionInvocationImpl

      public interface FunctionInvocation
      extends Invocation

  A representation of the model object 'Function Invocation'.
  See Also:
    `ExpressionsPackage.getFunctionInvocation()`
  Generated
  Model

- - ### Method Summary

    - ### Methods inherited from interface org.eclipse.emf.cdo.expressions.Invocation

      `getArguments, getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.cdo.expressions.Expression

      `evaluate`

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html